﻿/*
 * ZenPhoto Uploader
 * http://tech.einaregilsson.com/2009/07/20/zenphoto-uploader/
 *
 * Copyright (C) 2009 Einar Egilsson [einar@einaregilsson.com]
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 */
using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace ZenPhotoUploader {
    public class Logger {

        private static StreamWriter _writer;
        static Logger() {
            string logfile = Path.Combine(Path.GetTempPath(), "ZenPhotoUploader.log");
            _writer = new StreamWriter(new FileStream(logfile, FileMode.OpenOrCreate));
        }
        public static void Log(string msg) {
            _writer.WriteLine(DateTime.Now.ToString() + ": " + msg);
            _writer.Flush();
        }
    }
}
